Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 29 Jul 2014, 11:01
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
alphaOS [closed]
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 13 of 47 [697 Posts]   Goto page: Previous 1, 2, 3, ..., 11, 12, 13, 14, 15, ..., 45, 46, 47 Next
Author Message
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Wed 03 Apr 2013, 04:19    Post subject:  

mavrothal wrote:
AlphaOS is indeed an alpha software ie an OS in early development, likely to miss a lot of stuff, probably have difficulties handling hardware, likely to have bugs, needing polishing and enhancements, etc. and targets experienced Linux users preferably with an Arch/Gentoo background/mentality.

Indeed alpha software with big A, it's name should scare the newbies, but it scared everyone
except brave Russians http://forum.puppyrus.org/index.php/topic,13966.0.html no one else made spkg packages.

spkg_gui in version 3 had bug in categories listing after package is added to
repository. That is now fixed but means that I will not add new packages until after version 4.
also means version 4 will be released soon...

I want to recompile kernel with disabled nouveau module, I think everyone with nvidia card will
use official drivers and this nouveau in not needed it just adds new problems
Back to top
View user's profile Send private message Visit poster's website 
ndrancs


Joined: 02 Apr 2013
Posts: 40

PostPosted: Wed 03 Apr 2013, 10:04    Post subject: Re: lsusb
Subject description: unable to initialize libusb: -99
 

Arefacti wrote:
Hello, to install my usb card sound (philips spa 5210), I tried a lsusb ; this command answer me :

Code:
unable to initialize libusb: -99


Can somebody help me please ?


sorry my english is not good.

to see my usb modem, I've tried this on several PCs, while typing lsusb, just like that.

please try this:
Code:
I load devel_300.sfs with sfs_load,
then type ldconfig in terminal,
then rebooting.
Back to top
View user's profile Send private message 
ndrancs


Joined: 02 Apr 2013
Posts: 40

PostPosted: Wed 03 Apr 2013, 10:16    Post subject:  

simargl wrote:

I want to recompile kernel with disabled nouveau module, I think everyone with nvidia card will
use official drivers and this nouveau in not needed it just adds new problems


sorry my english is not good.

I was expecting this from the beginning.
I wait for version 4.

in alphaos 3, when i type Xorg -configure, appears segmentation fault. is there anything I can do?

a little about me, have been using puppy since version 4.2.0
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Wed 03 Apr 2013, 10:51    Post subject: Re: lsusb
Subject description: unable to initialize libusb: -99
 

ndrancs wrote:
Arefacti wrote:
Hello, to install my usb card sound (philips spa 5210), I tried a lsusb ; this command answer me :

Code:
unable to initialize libusb: -99


Can somebody help me please ?


sorry my english is not good.

to see my usb modem, I've tried this on several PCs, while typing lsusb, just like that.

please try this:
Code:
I load devel_300.sfs with sfs_load,
then type ldconfig in terminal,
then rebooting.


Thanks for your answer.
How I could load devel_300.sfs ?

@simargl : saw the post you said to me :
http://forums.gentoo.org/viewtopic-t-879569.html
My usb works fine.
Back to top
View user's profile Send private message 
ndrancs


Joined: 02 Apr 2013
Posts: 40

PostPosted: Wed 03 Apr 2013, 11:13    Post subject: Re: lsusb
Subject description: unable to initialize libusb: -99
 

Arefacti wrote:
How I could load devel_300.sfs ?


- Get devel_300.sfs here.
http://sourceforge.net/projects/alphaos/files/
- Download and save it in the folder /mnt/home/alphaos
- Load devel_300.sfs using SFS Loader or open a terminal type sfs_load, select devel_300.sfs then click Load. that's it.
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Wed 03 Apr 2013, 11:35    Post subject: Re: lsusb
Subject description: unable to initialize libusb: -99
 

ndrancs wrote:
Arefacti wrote:
How I could load devel_300.sfs ?


- Get devel_300.sfs here.
http://sourceforge.net/projects/alphaos/files/
- Download and save it in the folder /mnt/home/alphaos
- Load devel_300.sfs using SFS Loader or open a terminal type sfs_load, select devel_300.sfs then click Load. that's it.


I'm confused I don't know those kind of thing
unfortunately that don't work.
But, thank you Wink

EDIT : resolved !
~/.asoundrc was not good Wink
Back to top
View user's profile Send private message 
smil99

Joined: 18 Aug 2007
Posts: 174

PostPosted: Wed 03 Apr 2013, 22:27    Post subject:  

simargl wrote:
Quote:
smil99: spkg update; spkg -gi pacman; pacman -Sy; ... install anything - pacman is very much untested but should work

I got the impression from your earlier postings that you don't encourage having two package managers in AlphaOs. If that is the case then, rather than encouraging users to use pacman (which you cautioned here of not resolving dependencies properly in AlphaOs), you must find ways and means to make spkg usable for virtually all package installations. Perhaps, you might consider having package build scripts available just like packer and AUR.

Cheers.

_________________
Success is never ending. ... Failure is never final!
(Used with kind permission from jejy69)
Back to top
View user's profile Send private message 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Thu 04 Apr 2013, 04:14    Post subject:  

New version is finished with following changes:
- kernel compiled without nouveau module
- added ipw2200 firmware (suggested by Marv)
- fixed listing packages by category, after update
- pipe menu, that shows latest updated spkg packages

Devel sfs module:
- fixed missing icons in geany
- added musl (An implementation of the C/POSIX standard library) installed under /opt/musl

Version 4.0 released 4th day of the 4th month...
Back to top
View user's profile Send private message Visit poster's website 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Thu 04 Apr 2013, 04:25    Post subject:  

smil99 wrote:
If that is the case then, rather than encouraging users to use pacman (which you cautioned here of not resolving dependencies properly in AlphaOs), you must find ways and means to make spkg usable for virtually all package installations. Perhaps, you might consider having package build scripts available just like packer and AUR.

Off course I'm not encouraging anyone to use pacman, adding it was response to other's people requests, until spkg repository gets more packages
Converting PKGBUILD from Arch, and compiling packages in alpha os was and still is only way to get perfect compatibility, small and optimized packages
This Perhaps, you might consider having package build scripts available just like packer and AUR, sound like perfect idea, let's see is there someone willing to contribute
Back to top
View user's profile Send private message Visit poster's website 
mike delaw

Joined: 17 Jan 2013
Posts: 13

PostPosted: Thu 04 Apr 2013, 05:09    Post subject:  

I hope that this version will work for me. Looks like my 7-years old computer is too old for this one Pup ... eh ... AlphaOS (blury colours on frugal install on FAT, Wee 15,16,17 ?errors? on ext4 on old and newer comp).

Funny that in Virtualbox on my old machine AlphaOS works just fine ...

Confused
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Thu 04 Apr 2013, 05:21    Post subject:  

simargl wrote:
New version is finished with following changes:
- kernel compiled without nouveau module
- added ipw2200 firmware (suggested by Marv)
- fixed listing packages by category, after update
- pipe menu, that shows latest updated spkg packages

Devel sfs module:
- fixed missing icons in geany
- added musl (An implementation of the C/POSIX standard library) installed under /opt/musl

Version 4.0 released 4th day of the 4th month...


Hello,
sorry for my newbie's question..again, Embarassed
To upgrade 3.0 to 4.0, how can I do ? (frugal install).
Back to top
View user's profile Send private message 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Thu 04 Apr 2013, 05:26    Post subject:  

mike delaw wrote:
I hope that this version will work for me. Looks like my 7-years old computer is too old for this one Pup ... eh ... AlphaOS (blury colours on frugal install on FAT, Wee 15,16,17 ?errors? on ext4 on old and newer comp).

Funny that in Virtualbox on my old machine AlphaOS works just fine ...

Confused

Hi mike delaw, if your computer is with nvidia card this version might work better
Back to top
View user's profile Send private message Visit poster's website 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Thu 04 Apr 2013, 05:28    Post subject:  

Arefacti wrote:
sorry for my newbie's question..again, Embarassed
To upgrade 3.0 to 4.0, how can I do ? (frugal install).

first mount new iso:

mkdir new
mount alpha*.iso new

then copy alpha_400.sfs and extra_400.sfs to your frugal installation folder
and replace old vmlinuz and initrd.gz with files from new version
Cheers
Back to top
View user's profile Send private message Visit poster's website 
mike delaw

Joined: 17 Jan 2013
Posts: 13

PostPosted: Thu 04 Apr 2013, 05:30    Post subject:  

ATI RADEON 9550.

Please upload AlphaOS4 on Sourceforge ...
Back to top
View user's profile Send private message 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Thu 04 Apr 2013, 05:30    Post subject:  

mike delaw wrote:
ATI RADEON 9550.

Please upload AlphaOS4 on Sourceforge ...

it's uploading Wink
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 13 of 47 [697 Posts]   Goto page: Previous 1, 2, 3, ..., 11, 12, 13, 14, 15, ..., 45, 46, 47 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0930s ][ Queries: 12 (0.0084s) ][ GZIP on ]